summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2022-04-19 17:09:24 -0400
committerMike Gilbert <floppym@gentoo.org>2022-04-19 17:09:24 -0400
commit9f4d46a13ed4b223866c50e109f5c51488fc6bd9 (patch)
treee8349008e10b4acd994b721dabbc0336c4db4a52 /scripts/bootstrap.sh
parentdev-util/heaptrack: depend on dev-libs/boost[zlib] (diff)
downloadgentoo-9f4d46a13ed4b223866c50e109f5c51488fc6bd9.tar.gz
gentoo-9f4d46a13ed4b223866c50e109f5c51488fc6bd9.tar.bz2
gentoo-9f4d46a13ed4b223866c50e109f5c51488fc6bd9.zip
scripts/bootstrap.sh: do not attempt to trap SIGKILL
Closes: https://bugs.gentoo.org/839162 Signed-off-by: Mike Gilbert <floppym@gentoo.org>
Diffstat (limited to 'scripts/bootstrap.sh')
-rwxr-xr-xscripts/bootstrap.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/bootstrap.sh b/scripts/bootstrap.sh
index a84263ba448e..0c0d6062a789 100755
--- a/scripts/bootstrap.sh
+++ b/scripts/bootstrap.sh
@@ -172,7 +172,7 @@ pycmd() {
}
# TSTP messes ^Z of bootstrap up, so we don't trap it anymore.
-trap "cleanup" TERM KILL INT QUIT ABRT
+trap "cleanup" TERM INT QUIT ABRT
# Bug #50158 (don't use `which` in a bootstrap).
if ! type -path portageq &>/dev/null ; then